Index: npl/webapps/Trac/Trac.SlackBuild
===================================================================
--- npl/webapps/Trac/Trac.SlackBuild	(revision cd5d2d4b8c9bea09bb817ac6d6d91fe76c5de65e)
+++ npl/webapps/Trac/Trac.SlackBuild	(revision f49e71cd0e5da5331e50679d6795610fda415e39)
@@ -3,4 +3,6 @@
 #DEP:python_setuptools
 #DEP:python_Genshi
+#DEP:postgresql
+#DEP:python_pyPgSQL
 
 #######Essential package info.
Index: npl/webapps/Trac/Trac.build
===================================================================
--- npl/webapps/Trac/Trac.build	(revision cd5d2d4b8c9bea09bb817ac6d6d91fe76c5de65e)
+++ npl/webapps/Trac/Trac.build	(revision f49e71cd0e5da5331e50679d6795610fda415e39)
@@ -1,1 +1,1 @@
-5861
+5862
Index: npl/webapps/Trac/Trac.depver
===================================================================
--- npl/webapps/Trac/Trac.depver	(revision cd5d2d4b8c9bea09bb817ac6d6d91fe76c5de65e)
+++ npl/webapps/Trac/Trac.depver	(revision f49e71cd0e5da5331e50679d6795610fda415e39)
@@ -2,2 +2,4 @@
 python_setuptools	0
 python_Genshi	0
+postgresql	0
+python_pyPgSQL	0
Index: npl/webapps/Trac/Trac.md5
===================================================================
--- npl/webapps/Trac/Trac.md5	(revision cd5d2d4b8c9bea09bb817ac6d6d91fe76c5de65e)
+++ npl/webapps/Trac/Trac.md5	(revision f49e71cd0e5da5331e50679d6795610fda415e39)
@@ -6,7 +6,7 @@
 ff3a7d78099a269ae2035a6cf8adccbb  ./Trac-1.2.tar.gz
 e3985140b5bf7107e1d51277303c67b9  ./trac.conf
-6e1f0205e444d468644253c0e1e1581f  ./Trac.pkg
-4aef27ce983281fe691c4860346f4f8f  ./Trac.SlackBuild
-4b0b48d68324a814bd20f88f400770ae  ./Trac.SlackBuild.log.gz
+6ee7a4e1989f2e6a8fbfd49f3d715e3b  ./Trac.pkg
+9feb8a276a3dc561b787ad083239c90b  ./Trac.SlackBuild
+47a49d7e0636ec9dfcc91d7106eddcdc  ./Trac.SlackBuild.log.gz
 10b18fcfbdc8092690f8754dadea4dc8  ./trac.wsgi
 8b2637ff214bdfd68579630bd221e1a6  ./webportal/index.php
Index: npl/webapps/Trac/trac.wsgi
===================================================================
--- npl/webapps/Trac/trac.wsgi	(revision cd5d2d4b8c9bea09bb817ac6d6d91fe76c5de65e)
+++ npl/webapps/Trac/trac.wsgi	(revision f49e71cd0e5da5331e50679d6795610fda415e39)
@@ -2,5 +2,5 @@
 
 os.environ['TRAC_ENV_PARENT_DIR'] = '/home/system/trac'
-os.environ['PYTHON_EGG_CACHE'] = '/tmp/trac-egg-cache'
+os.environ['PYTHON_EGG_CACHE'] = '/tmp'
 
 import trac.web.main
Index: npl/webapps/Trac_plugins/depgraph/Trac_tracticketdepgraph.SlackBuild.dis
===================================================================
--- npl/webapps/Trac_plugins/depgraph/Trac_tracticketdepgraph.SlackBuild.dis	(revision cd5d2d4b8c9bea09bb817ac6d6d91fe76c5de65e)
+++ 	(revision )
@@ -1,53 +1,0 @@
-#!/bin/bash
-# Generic python build script. (C)DatuX
-# Put in in a builddirectory with a python tarfile that contains a setup.py.
-# Please python_modulename for python modules.
-
-#DEP:python
-#DEP:python_setuptools
-
-#######Essential package info.
-#Change these if autodetection fails.
-
-#Name of the Syn-3 package that we are going to create
-NAME=`basename $0|sed 's/.SlackBuild//'`
-
-#Archive of the sourcefiles to unpack 
-SRC_ARC=`ls *.zip`
-
-#Version of the sourcefiles
-VER=0.11
-
-#Directory of the sourcefiles to build (after optional unpacking)
-SRC_DIR=*/0.11                                                           
-
-#Architecture that the created binaries run on.
-#Use noarch for scripts.
-ARCH=`uname -m`
-
-
-########Build and create the pacakge.
-#Uncomment the stuff that you dont want or need
-
-#Unpack source 
-#(uncomment if not needed)
-syn3_unpack $SRC_ARC || exit 1
-
-#apply patches
-#patch -p1 -d $SRC_DIR < fluxkiosk.patch || exit 1
-
-pushd $SRC_DIR || exit 1
-python setup.py install --root=/tmp/pkg || exit 1
-popd
-
-#strip bins and other stuff
-syn3_strip /tmp/pkg || exit 1
-
-#move development stuff and create seperate development package
-syn3_move_dev /tmp/pkg /tmp/pkgdev || exit 1
-syn3_makepkg /tmp/pkgdev $NAME""_dev $VER $ARCH || exit 1
-
-#make main package
-syn3_makepkg /tmp/pkg $NAME $VER $ARCH || exit 1
-
-
Index: npl/webapps/Trac_plugins/depgraph/Trac_tracticketdepgraph.arch
===================================================================
--- npl/webapps/Trac_plugins/depgraph/Trac_tracticketdepgraph.arch	(revision cd5d2d4b8c9bea09bb817ac6d6d91fe76c5de65e)
+++ 	(revision )
@@ -1,1 +1,0 @@
-i586
Index: npl/webapps/Trac_plugins/depgraph/Trac_tracticketdepgraph.build
===================================================================
--- npl/webapps/Trac_plugins/depgraph/Trac_tracticketdepgraph.build	(revision cd5d2d4b8c9bea09bb817ac6d6d91fe76c5de65e)
+++ 	(revision )
@@ -1,1 +1,0 @@
-5657
Index: npl/webapps/Trac_plugins/depgraph/Trac_tracticketdepgraph.depver
===================================================================
--- npl/webapps/Trac_plugins/depgraph/Trac_tracticketdepgraph.depver	(revision cd5d2d4b8c9bea09bb817ac6d6d91fe76c5de65e)
+++ 	(revision )
@@ -1,2 +1,0 @@
-python	2
-python_setuptools	0
Index: npl/webapps/Trac_plugins/depgraph/Trac_tracticketdepgraph.md5
===================================================================
--- npl/webapps/Trac_plugins/depgraph/Trac_tracticketdepgraph.md5	(revision cd5d2d4b8c9bea09bb817ac6d6d91fe76c5de65e)
+++ 	(revision )
@@ -1,4 +1,0 @@
-89cc79dbb54a1fb2eee9a74001f1fa84  ./Trac_tracticketdepgraph.SlackBuild
-45de91418094d0118227c54de4a05835  ./Trac_tracticketdepgraph.SlackBuild.log.gz
-ec1c438fc9510fae166a843c938a8ddd  ./Trac_tracticketdepgraph.pkg
-8c5f18612cd88f16763eea6e5fd60893  ./tracticketdepgraphplugin.zip
Index: npl/webapps/Trac_plugins/depgraph/Trac_tracticketdepgraph.version
===================================================================
--- npl/webapps/Trac_plugins/depgraph/Trac_tracticketdepgraph.version	(revision cd5d2d4b8c9bea09bb817ac6d6d91fe76c5de65e)
+++ 	(revision )
@@ -1,1 +1,0 @@
-0.11
Index: npl/webapps/Trac_plugins/graphviz/Trac_graphviz.SlackBuild
===================================================================
--- npl/webapps/Trac_plugins/graphviz/Trac_graphviz.SlackBuild	(revision cd5d2d4b8c9bea09bb817ac6d6d91fe76c5de65e)
+++ 	(revision )
@@ -1,53 +1,0 @@
-#!/bin/bash
-# Generic python build script. (C)DatuX
-# Put in in a builddirectory with a python tarfile that contains a setup.py.
-# Please python_modulename for python modules.
-
-#DEP:python
-#DEP:python_setuptools
-
-#######Essential package info.
-#Change these if autodetection fails.
-
-#Name of the Syn-3 package that we are going to create
-NAME=`basename $0|sed 's/.SlackBuild//'`
-
-#Archive of the sourcefiles to unpack 
-SRC_ARC=`ls *.zip`
-
-#Version of the sourcefiles
-VER=0.11
-
-#Directory of the sourcefiles to build (after optional unpacking)
-SRC_DIR=*/0.11                                                           
-
-#Architecture that the created binaries run on.
-#Use noarch for scripts.
-ARCH=`uname -m`
-
-
-########Build and create the pacakge.
-#Uncomment the stuff that you dont want or need
-
-#Unpack source 
-#(uncomment if not needed)
-syn3_unpack $SRC_ARC || exit 1
-
-#apply patches
-#patch -p1 -d $SRC_DIR < fluxkiosk.patch || exit 1
-
-pushd $SRC_DIR || exit 1
-python setup.py install --root=/tmp/pkg || exit 1
-popd
-
-#strip bins and other stuff
-syn3_strip /tmp/pkg || exit 1
-
-#move development stuff and create seperate development package
-syn3_move_dev /tmp/pkg /tmp/pkgdev || exit 1
-syn3_makepkg /tmp/pkgdev $NAME""_dev $VER $ARCH || exit 1
-
-#make main package
-syn3_makepkg /tmp/pkg $NAME $VER $ARCH || exit 1
-
-
Index: npl/webapps/Trac_plugins/graphviz/Trac_graphviz.arch
===================================================================
--- npl/webapps/Trac_plugins/graphviz/Trac_graphviz.arch	(revision cd5d2d4b8c9bea09bb817ac6d6d91fe76c5de65e)
+++ 	(revision )
@@ -1,1 +1,0 @@
-i586
Index: npl/webapps/Trac_plugins/graphviz/Trac_graphviz.build
===================================================================
--- npl/webapps/Trac_plugins/graphviz/Trac_graphviz.build	(revision cd5d2d4b8c9bea09bb817ac6d6d91fe76c5de65e)
+++ 	(revision )
@@ -1,1 +1,0 @@
-5657
Index: npl/webapps/Trac_plugins/graphviz/Trac_graphviz.depver
===================================================================
--- npl/webapps/Trac_plugins/graphviz/Trac_graphviz.depver	(revision cd5d2d4b8c9bea09bb817ac6d6d91fe76c5de65e)
+++ 	(revision )
@@ -1,2 +1,0 @@
-python	2
-python_setuptools	0
Index: npl/webapps/Trac_plugins/graphviz/Trac_graphviz.md5
===================================================================
--- npl/webapps/Trac_plugins/graphviz/Trac_graphviz.md5	(revision cd5d2d4b8c9bea09bb817ac6d6d91fe76c5de65e)
+++ 	(revision )
@@ -1,4 +1,0 @@
-89cc79dbb54a1fb2eee9a74001f1fa84  ./Trac_graphviz.SlackBuild
-2b0bec284189821b53f0fb72f468c993  ./Trac_graphviz.SlackBuild.log.gz
-ab3a7f63d117a85b99a05fe6c6bc0c1d  ./Trac_graphviz.pkg
-0065d041a6a8d6c4be79bfa1887464ea  ./graphvizplugin.zip
Index: npl/webapps/Trac_plugins/graphviz/Trac_graphviz.version
===================================================================
--- npl/webapps/Trac_plugins/graphviz/Trac_graphviz.version	(revision cd5d2d4b8c9bea09bb817ac6d6d91fe76c5de65e)
+++ 	(revision )
@@ -1,1 +1,0 @@
-0.11
Index: npl/webapps/Trac_plugins/mastertickets/Trac_mastertickets.SlackBuild.dis
===================================================================
--- npl/webapps/Trac_plugins/mastertickets/Trac_mastertickets.SlackBuild.dis	(revision cd5d2d4b8c9bea09bb817ac6d6d91fe76c5de65e)
+++ 	(revision )
@@ -1,53 +1,0 @@
-#!/bin/bash
-# Generic python build script. (C)DatuX
-# Put in in a builddirectory with a python tarfile that contains a setup.py.
-# Please python_modulename for python modules.
-
-#DEP:python
-#DEP:python_setuptools
-
-#######Essential package info.
-#Change these if autodetection fails.
-
-#Name of the Syn-3 package that we are going to create
-NAME=`basename $0|sed 's/.SlackBuild//'`
-
-#Archive of the sourcefiles to unpack 
-SRC_ARC=`ls *.zip`
-
-#Version of the sourcefiles
-VER=0.11
-
-#Directory of the sourcefiles to build (after optional unpacking)
-SRC_DIR=*/0.11                                                           
-
-#Architecture that the created binaries run on.
-#Use noarch for scripts.
-ARCH=`uname -m`
-
-
-########Build and create the pacakge.
-#Uncomment the stuff that you dont want or need
-
-#Unpack source 
-#(uncomment if not needed)
-syn3_unpack $SRC_ARC || exit 1
-
-#apply patches
-#patch -p1 -d $SRC_DIR < fluxkiosk.patch || exit 1
-
-pushd $SRC_DIR || exit 1
-python setup.py install --root=/tmp/pkg || exit 1
-popd
-
-#strip bins and other stuff
-syn3_strip /tmp/pkg || exit 1
-
-#move development stuff and create seperate development package
-syn3_move_dev /tmp/pkg /tmp/pkgdev || exit 1
-syn3_makepkg /tmp/pkgdev $NAME""_dev $VER $ARCH || exit 1
-
-#make main package
-syn3_makepkg /tmp/pkg $NAME $VER $ARCH || exit 1
-
-
Index: npl/webapps/Trac_plugins/mastertickets/Trac_mastertickets.arch
===================================================================
--- npl/webapps/Trac_plugins/mastertickets/Trac_mastertickets.arch	(revision cd5d2d4b8c9bea09bb817ac6d6d91fe76c5de65e)
+++ 	(revision )
@@ -1,1 +1,0 @@
-i586
Index: npl/webapps/Trac_plugins/mastertickets/Trac_mastertickets.build
===================================================================
--- npl/webapps/Trac_plugins/mastertickets/Trac_mastertickets.build	(revision cd5d2d4b8c9bea09bb817ac6d6d91fe76c5de65e)
+++ 	(revision )
@@ -1,1 +1,0 @@
-5657
Index: npl/webapps/Trac_plugins/mastertickets/Trac_mastertickets.depver
===================================================================
--- npl/webapps/Trac_plugins/mastertickets/Trac_mastertickets.depver	(revision cd5d2d4b8c9bea09bb817ac6d6d91fe76c5de65e)
+++ 	(revision )
@@ -1,2 +1,0 @@
-python	2
-python_setuptools	0
Index: npl/webapps/Trac_plugins/mastertickets/Trac_mastertickets.md5
===================================================================
--- npl/webapps/Trac_plugins/mastertickets/Trac_mastertickets.md5	(revision cd5d2d4b8c9bea09bb817ac6d6d91fe76c5de65e)
+++ 	(revision )
@@ -1,4 +1,0 @@
-89cc79dbb54a1fb2eee9a74001f1fa84  ./Trac_mastertickets.SlackBuild
-0aa7a3d92707772e6e5699eabc828d14  ./Trac_mastertickets.SlackBuild.log.gz
-6322b210357887ab07c6bf6b2f16650c  ./Trac_mastertickets.pkg
-d183b3adca14c9529b1caba085542687  ./masterticketsplugin.zip
Index: npl/webapps/Trac_plugins/mastertickets/Trac_mastertickets.version
===================================================================
--- npl/webapps/Trac_plugins/mastertickets/Trac_mastertickets.version	(revision cd5d2d4b8c9bea09bb817ac6d6d91fe76c5de65e)
+++ 	(revision )
@@ -1,1 +1,0 @@
-0.11
Index: npl/webapps/Trac_plugins/wikinegotiator/Trac_wikinegotiator.SlackBuild.dis
===================================================================
--- npl/webapps/Trac_plugins/wikinegotiator/Trac_wikinegotiator.SlackBuild.dis	(revision cd5d2d4b8c9bea09bb817ac6d6d91fe76c5de65e)
+++ 	(revision )
@@ -1,53 +1,0 @@
-#!/bin/bash
-# Generic python build script. (C)DatuX
-# Put in in a builddirectory with a python tarfile that contains a setup.py.
-# Please python_modulename for python modules.
-
-#DEP:python
-#DEP:python_setuptools
-
-#######Essential package info.
-#Change these if autodetection fails.
-
-#Name of the Syn-3 package that we are going to create
-NAME=`basename $0|sed 's/.SlackBuild//'`
-
-#Archive of the sourcefiles to unpack 
-SRC_ARC=`ls *.zip`
-
-#Version of the sourcefiles
-VER=0.10
-
-#Directory of the sourcefiles to build (after optional unpacking)
-SRC_DIR=*/0.10
-
-#Architecture that the created binaries run on.
-#Use noarch for scripts.
-ARCH=`uname -m`
-
-
-########Build and create the pacakge.
-#Uncomment the stuff that you dont want or need
-
-#Unpack source 
-#(uncomment if not needed)
-syn3_unpack $SRC_ARC || exit 1
-
-#apply patches
-#patch -p1 -d $SRC_DIR < fluxkiosk.patch || exit 1
-
-pushd $SRC_DIR || exit 1
-python setup.py install --root=/tmp/pkg || exit 1
-popd
-
-#strip bins and other stuff
-syn3_strip /tmp/pkg || exit 1
-
-#move development stuff and create seperate development package
-syn3_move_dev /tmp/pkg /tmp/pkgdev || exit 1
-syn3_makepkg /tmp/pkgdev $NAME""_dev $VER $ARCH || exit 1
-
-#make main package
-syn3_makepkg /tmp/pkg $NAME $VER $ARCH || exit 1
-
-
Index: npl/webapps/Trac_plugins/wikinegotiator/Trac_wikinegotiator.arch
===================================================================
--- npl/webapps/Trac_plugins/wikinegotiator/Trac_wikinegotiator.arch	(revision cd5d2d4b8c9bea09bb817ac6d6d91fe76c5de65e)
+++ 	(revision )
@@ -1,1 +1,0 @@
-i586
Index: npl/webapps/Trac_plugins/wikinegotiator/Trac_wikinegotiator.build
===================================================================
--- npl/webapps/Trac_plugins/wikinegotiator/Trac_wikinegotiator.build	(revision cd5d2d4b8c9bea09bb817ac6d6d91fe76c5de65e)
+++ 	(revision )
@@ -1,1 +1,0 @@
-5657
Index: npl/webapps/Trac_plugins/wikinegotiator/Trac_wikinegotiator.depver
===================================================================
--- npl/webapps/Trac_plugins/wikinegotiator/Trac_wikinegotiator.depver	(revision cd5d2d4b8c9bea09bb817ac6d6d91fe76c5de65e)
+++ 	(revision )
@@ -1,2 +1,0 @@
-python	2
-python_setuptools	0
Index: npl/webapps/Trac_plugins/wikinegotiator/Trac_wikinegotiator.md5
===================================================================
--- npl/webapps/Trac_plugins/wikinegotiator/Trac_wikinegotiator.md5	(revision cd5d2d4b8c9bea09bb817ac6d6d91fe76c5de65e)
+++ 	(revision )
@@ -1,4 +1,0 @@
-c5678ec362c7dd473f9b253a46eb3697  ./Trac_wikinegotiator.SlackBuild
-e761775b1347a75e40e6e5316ef52b92  ./Trac_wikinegotiator.SlackBuild.log.gz
-dd7e21b0f06169671b0528ef19f568aa  ./Trac_wikinegotiator.pkg
-14fd6edad2fbb8ed664770b17de3067c  ./tracwikinegotiatorplugin.zip
Index: npl/webapps/Trac_plugins/wikinegotiator/Trac_wikinegotiator.version
===================================================================
--- npl/webapps/Trac_plugins/wikinegotiator/Trac_wikinegotiator.version	(revision cd5d2d4b8c9bea09bb817ac6d6d91fe76c5de65e)
+++ 	(revision )
@@ -1,1 +1,0 @@
-0.10
